<?php

namespace App\Enums;

use Filament\Support\Contracts\HasColor;
use Filament\Support\Contracts\HasLabel;

enum WordStatus: string implements HasLabel, HasColor
{
    case Published = 'published';
    case Draft = 'draft';

    public function getLabel(): string
    {
        return match ($this) {
            self::Published => 'Published',
            self::Draft => 'Draft',
        };
    }

    public function getColor(): string
    {
        return match ($this) {
            self::Published => 'success', 
            self::Draft => 'gray',      
        };
    }
}
